using System;
using System.IO;

namespace VCommon.IO
{
    public class TempFile : IDisposable
    {
        public string Path { get; }

        public TempFile() => Path = System.IO.Path.GetTempFileName();

        public void Dispose() => File.Delete(Path);
    }
}
